petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESMonitorRatio

Monitors progress of the SNES solvers by printing the ratio of residual norm at each iteration to the previous.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  SNESMonitorRatio(SNES snes,PetscInt its,PetscReal fgnorm,PetscViewerAndFormat *vf)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| its | - iteration number
| fgnorm | - 2-norm of residual (or gradient)
| dummy | - context of monitor

### Notes

Insure that SNESMonitorRatio() is called when you set this monitor

### Keywords

SNES, nonlinear, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution(), SNESMonitorRatio()

### Level

intermediate

### Location

src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages